Package org.eclipse.spi.net4j

## Class Channel.ReceiverWork

- java.lang.Object
- - org.eclipse.net4j.util.concurrent.RunnableWithName
  - - org.eclipse.spi.net4j.Channel.ReceiverWork

- All Implemented Interfaces:
    `java.lang.Runnable`
  Enclosing class:
    Channel

      @Deprecated
      protected class Channel.ReceiverWork
      extends org.eclipse.net4j.util.concurrent.RunnableWithName

  Deprecated.
  As of 4.10 scheduled for future removal.
  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReceiverWork​(IBuffer buffer)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doRun()` | Deprecated.
    `java.lang.String` | `getName()` | Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.util.concurrent.RunnableWithName

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceiverWork

          public ReceiverWork​(IBuffer buffer)

      Deprecated.
      Since:
        3.0

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Deprecated.
      Specified by:
        `getName` in class `org.eclipse.net4j.util.concurrent.RunnableWithName`
      Since:
        4.5

    - #### doRun

          protected void doRun()

      Deprecated.
      Specified by:
        `doRun` in class `org.eclipse.net4j.util.concurrent.RunnableWithName`